#include <boost/thread.hpp>
#include "test.h"

void testAllDataInfo()
{
    TestSerialize t;
    t.restore("test.xml");
}

void testAllDataInfoThread()
{
    for( int i = 0; i < 100000; ++i )
    {
        testAllDataInfo();
    }
}

void testMultiThread()
{
    boost::thread_group group;
	for( unsigned int i = 0; i < 6; ++i )
	{
		group.create_thread(  &testAllDataInfoThread );
	}
	group.join_all();
}

int main( int argC, char* argV[] )
{
    testMultiThread();
}
